/**
 * Created by Tony on 2017/6/5.
 */

const fs = require('fs');
var rptTplDef = null;

var getTreeNodeUtil = function() {
    if (!(rptTplDef)) {
        var data = fs.readFileSync(__dirname + '/web/rpt_tpl_def.js', 'utf8', 'r');
        eval(data + ' ; rptTplDef = RT;');
    }
    return rptTplDef;
}

exports.getUtil = getTreeNodeUtil;